var myLayout;

function doOnLoad() {
    loadInitialLayout();
}
function loadInitialLayout() {
    if (myLayout == null) {
        myLayout = new dhtmlXLayoutObject({
            parent: "layoutObj",
            pattern: '1C'
        });
    }
    testToExcel();
}
function testToExcel(){

    myLayout.cells("a").setText('Grid Here  \n\
                                <input type="button" name="toExcel_atDHTMLXBtn" value=" toExcel_atDHTMLX " onclick="toExcel_atDHTMLX()";"> - \n\
                                <input type="button" name="toExcel_LOCALBtn" value=" toExcel_LOCAL " onclick="toExcel_LOCAL()";"> -');    

    myGrid = myLayout.cells("a").attachGrid();
    myGrid.setSkin("web");
    myGrid.setHeader("Salse,Book Title,Author,Price,In Store");
    myGrid.setInitWidths("80,150,120,100,55");
    myGrid.setColAlign("right,left,left,left,center");
    myGrid.setColTypes("dyn,ed,ed,price,ch");
    myGrid.setColumnIds("sales,title,author,price,instore");
    myGrid.enableAutoHeight(true);  
    myGrid.init();

    myGrid.parse([{ 
             id:1001, 
             sales:"100",
             title:"A Time to Kill",
             author:"John Grisham",
             price:"12.99",
             instore:"1"
          },
          {
             id:1002, 
             sales:"1000",
             title:"Blood and Smoke",
             author:"Stephen King",
             price:"0",
             instore:"1"
          },
          {
             id:1003, 
             sales:"-200",
             title:"The Rainmaker",
             author:"John Grisham",
             price:"7.99",
             instore:"0"
          }], "js");
}
function toExcel_atDHTMLX(){
    console.log("toExcel_atDHTMLX()");
    myGrid.toExcel("https://dhtmlxgrid.appspot.com/export/excel");
}
function toExcel_LOCAL(){
    console.log("toExcel_LOCAL(): ./grid-excel-php/generate.php");
//    myGrid.toExcel("../lwopsDEV/codebase/grid-excel-php/generate.php");
    myGrid.toExcel("grid-excel-php/generate.php");
}


